{{title='Failure Data – Economic'}}
{{icon="enterdata"}}
{{chosenUseCase = db(db.t_applicationselection).select().first().as_dict()["f_name"]}}
{{goals = db(db.t_goals).select().first().as_dict()}}
<head>
    <link rel="stylesheet" type="text/css" href="{{=URL('static','css/popup.css')}}">
</head>
{{extend 'dataInputLayout.html'}}
<body>
    {{=form.custom.begin}}
    <div class="formInputs">
        {{if (goals['f_npv'] or goals['f_roi'] or goals['f_opexp'] or goals['f_pb']):}}
            <div id="t_economicFailureData_f_wagerepairstaff_label"><div class="qmarkBefore" id="wagerepairstaff">&#8505</div>
                {{=form.custom.label.f_wagerepairstaff}}:<span id="t_economicFailureData_f_wagerepairstaff_description">Hourly wage of staff repairing the application</span>
            </div><div>{{=form.custom.widget.f_wagerepairstaff}} {{=form.custom.comment.f_wagerepairstaff}}</div>
            {{if chosenUseCase == "agv":}}
                <div id="t_economicFailureData_f_costmaterialrepair_label"><div class="qmarkBefore" id="costmaterialrepair">&#8505</div>
                    {{=form.custom.label.f_costmaterialrepair}}:<span id="t_economicFailureData_f_costmaterialrepair_description">Average cost spent on material to repair application per long-term failure</span>
                </div><div>{{=form.custom.widget.f_costmaterialrepair}} {{=form.custom.comment.f_costmaterialrepair}}</div>
            {{pass}}
            {{if chosenUseCase == "blisk":}}
                <div id="t_economicFailureData_f_costtoolbreakage_label"><div class="qmarkBefore" id="costtoolbreakage">&#8505</div>
                    {{=form.custom.label.f_costtoolbreakage}}:<span id="t_economicFailureData_f_costtoolbreakage_description">Average cost to replace a Tool if breakage occurs</span>
                </div><div>{{=form.custom.widget.f_costtoolbreakage}} {{=form.custom.comment.f_costtoolbreakage}}</div>
            {{pass}}
            <div id="t_economicFailureData_f_costfinancialcompensation_label"><div class="qmarkBefore" id="costfinancialcompensation">&#8505</div>
                {{=form.custom.label.f_costfinancialcompensation}}:<span id="t_economicFailureData_f_costfinancialcompensation_description">Average cost spent on material to repair application per long-term failure</span>
            </div><div>{{=form.custom.widget.f_costfinancialcompensation}} {{=form.custom.comment.f_costfinancialcompensation}}</div>
        {{pass}}
    </div>
    <div class="formButtonsDiv">
        <div id="backToMain"><a href="{{=backUrl}}" class="button">Back</a></div>
        {{=form.custom.submit}}
    </div>
    {{=form.custom.end}}
    {{message=""}}
</body>
